Skip to main content

Notas del lanzamiento de Server 2022.1

Notas del lanzamiento de versiones del producto

Versión

Fecha

Lanzamiento

Fin del soporte

2022.1.1.25127

4 de mayo de 2022

Principal

4 de mayo de 2024

2022.1.1.30569* (parche 1)

15 de junio de 2022

Secundario/Parche

4 de mayo de 2024

2022.1.1.30961 (parche 1)

23 de junio de 2022

Secundario/Parche

4 de mayo de 2024

2022.1.1.40869 (secundario)

2022.1.1.2.40869 (parche 2)

8 de septiembre de 2022

Secundario/Parche

4 de mayo de 2024

2022.1.1.42590 (secundario)

2022.1.1.3.42590 (parche 3)

21 de noviembre de 2022

Secundario/Parche

4 de mayo de 2024

2022.1.1.42604 (secundario)

2022.1.1.4.42604 (parche 4)

4 de enero de 2023

Secundario/Parche

4 de mayo de 2024

2022.1.1.42619 (secundario)

2022.1.1.5.42619 (parche 5)

15 de febrero de 2023

Secundario/Parche

4 de mayo de 2024

2022.1.1.42636 (secundario)

2022.1.1.6.42636 (parche 6)

29 de marzo de 2023

Secundario/Parche

4 de mayo de 2024

2022.1.1.42654 (secundario)

2022.1.1.7.42654 (parche 7)

24 de mayo de 2023

Secundario/Parche

4 de mayo de 2024

2022.1.1.42673 (secundario)

2022.1.1.8.42673 (parche 8)

24 de julio de 2023

Secundario/Parche

4 de mayo de 2024

2022.1.1.42691 (Minor)

secundario) 2022.1.1.9.42691 (parche 9)

20 de septiembre de 2023

Secundario/Parche

4 de mayo de 2024

2022.1.1.42707 (Minor)

2022.1.1.10.42707 (Patch 10)

November 30, 2023

Minor/Patch

May 4, 2024

2022.1.1.42716 (Minor)

2022.1.1.11.42716 (Patch 11)

February 1, 2024

Minor/Patch

May 4, 2024

Nota

* Actualización del lanzamiento del parche 2022.1.1.30569

Se eliminó el parche/lanzamiento secundario 2022.1.1.30569 del portal de descarga debido a que faltan firmas en algunos de los archivos incluidos. Esto provoca que los archivos no se reconozcan como archivos válidos proporcionados por Alteryx y es posible que aparezcan mensajes de advertencia de algunos programas de terceros.

Si instalaste la versión 2022.1.1.30569, te recomendamos que instales la versión del parche más reciente. No es necesario desinstalar el parche 2022.1.1.30569.

Nota

Consideraciones sobre la actualización

A partir de la versión 2022.1, existe una limitación de compatibilidad con Designer para entornos con autenticación integrada. Para mantener la compatibilidad con Server, descarga la última versión de Designer.

Nota

Actualizaciones de parche

Alteryx ahora te ofrece la capacidad de aplicar parches a tu instalación de Designer o Server sin necesidad de desinstalar y reinstalar todo. Puedes descargar el parche más reciente desde el portal de licencias y descargas . Para versiones de parches más antiguas, comunícate con el equipo de cumplimiento .

Características nuevas

Se eliminaron los puntos de conexión de OAuth1 heredados

Como preparación para una futura oferta FIPS-140, eliminamos nuestros puntos de conexión de API OAuth1 públicos heredados (requerían un hash SHA1 no compatible con FIPS). Esta eliminación incluye los puntos de conexión de WCF (Windows Communication Framework) heredados, Swagger para estos puntos de conexión heredados y middleware de OAuth1. Para reemplazar los puntos de conexión OAuth1, puedes utilizar las versiones de OAuth2 de las API heredadas publicadas en 2021.4. Con las API de OAuth2, tendrás la misma funcionalidad que con las API de OAuth1. La única excepción es que ahora la llamada GET/workflows/id/package devuelve un archivo en lugar de un objeto binario en la respuesta.

Seguiremos ofreciendo asistencia para suscripciones, puntos de conexión V1 y V2 en OAuth2.

Para obtener más información sobre la conversión y su impacto, visita la página de ayuda Instrucciones de conversión de OAuth1 a OAuth2 o Instrucciones de conversión .Instrucciones para convertir de OAuth1 a OAuth2

AMP Engine habilitado de forma predeterminada

Habilitamos AMP Engine de forma predeterminada en Server, de modo que los nuevos nodos de trabajador podrán ejecutar flujos de trabajo para el motor original y AMP Engine simultáneamente. Proporcionaremos directrices sobre cómo administrar la memoria con varios trabajos simultáneos y con diferentes combinaciones del motor original y AMP. Para obtener más información sobre AMP Engine, visita las páginas de ayuda Motor y Prácticas recomendadas para AMP Engine .MotorPrácticas recomendadas para Alteryx AMP Engine

Importante

Al actualizar a Server versión 2022.1, recomendamos validar la configuración de elección del motor y las asignaciones de recursos. La nueva funcionalidad para permitir que Server administre flujos de trabajo que se ejecutan simultáneamente, y el cambio para activar AMP de forma predeterminada, pueden provocar cambios en la configuración de tu entorno.

Si ya tienes Server y deseas mantener la configuración actual del sistema, lee estas instrucciones antes de realizar la actualización.

1.     Controller > General > Enable AMP Engine

1. Antes de actualizar, toma nota de la configuración actual.

2. Después de actualizar, restaura la selección al valor deseado.

2. Worker > General > Allow Server to manage workflows running simultaneously

1. Antes de actualizar, toma nota del número establecido para “Workflows allowed to run simultaneously”.

2. Después de actualizar, anula la selección de Allow Server to manage workflows running simultaneously .

3. Ingresa el número que anotaste para “Workflows allowed to run simultaneously”.

3.     Engine > General > Engine

1. Antes de actualizar, toma nota de la configuración actual.

2. Después de actualizar, restaura la selección al valor deseado.

4.     Engine > General > Run engine at a lower priority

1. Antes de actualizar, toma nota de la configuración actual.

2. Después de actualizar, restaura la selección al valor deseado.

Restablecimiento de contraseña obligatorio para la autenticación integrada

Si utilizas la autenticación integrada, deberás restablecer la contraseña debido a las mejoras de seguridad. Si no restableces la contraseña en la versión 2022.1, deberás tener habilitado SMTP para restablecerla en la versión 2022.2. Para obtener más información sobre cómo restablecer la contraseña de Server después de la actualización a 2022.1, visita la página de ayuda Restablecer la contraseña de Server de un usuario .Restablecer la contraseña de Alteryx Server de un usuario

Junto con el restablecimiento de la contraseña, existe una limitación de compatibilidad con Designer para entornos con autenticación integrada. Las versiones anteriores de Designer no tienen los cambios necesarios del mecanismo de contraseña para autenticarse con Server 2022.1+. Para garantizar la compatibilidad, debes ejecutar Designer 2022.1 o superior.

Localización de la interfaz de usuario de Server (beta)

Localizamos las páginas de usuario de Server en 8 idiomas (inglés, japonés, chino, español, francés, italiano, alemán y portugués) y más de 90 regiones. Esta es una versión beta, ya que algunos contenidos aún están en curso. Para actualizar tu idioma y preferencias regionales, ve a Mi perfil > General .

Rediseño de la interfaz de usuario de Server

Rediseñamos las páginas de usuario "Distritos", "Resultados del flujo de trabajo" y "Programaciones", y las páginas de administrador "Colecciones", "Credenciales", "Usuarios" y "Grupos". La funcionalidad de estas páginas sigue siendo la misma.

Nuevo correo electrónico de bienvenida para los usuarios creado mediante una llamada de API POST /users

Creamos un correo electrónico de bienvenida para los nuevos usuario creados a través de una llamada de API POST/users. El nuevo correo electrónico de bienvenida incluye un enlace para que el usuario establezca su contraseña. Esta experiencia de usuario es similar a la que ven los nuevos usuarios cuando su cuenta se crea manualmente. Ten en cuenta que el correo electrónico de bienvenida solo se enviará si SMTP está configurado.

Opciones de configuración de autenticación integrada para intentos de inicio de sesión y bloqueo de cuenta

Para evitar ataques de fuerza bruta, agregamos un parámetro de configuración llamado Number of Login Attempts Allowed en el que un administrador puede establecer el número de intentos permitidos antes de bloquear a un usuario. También agregamos una configuración llamada Account Lock Timeout (Minutes) , que establece el tiempo en minutos que se bloqueará a un usuario una vez que haya alcanzado el número máximo de intentos fallidos. El valor predeterminado es de 5 intentos de inicio de sesión, tras los cuales el tiempo de bloqueo es de 5 minutos. También agregamos una opción de configuración que permite a los administradores decidir si desean imponer un tiempo de espera de intento de inicio de sesión o no. El administrador puede actualizar estos 3 ajustes de seguridad en Configuración de Server  > configuración de  Seguridad . Estos ajustes solo están disponibles cuando utilizas la autenticación integrada.

Ve a Configuración de Alteryx Server para obtener más información.[configuración de alteryx server]

Actualización de jQuery utilizada por la nueva documentación de Swagger 2.0

Actualizamos jQuery a la versión más reciente, 3.6.0, para la documentación de Swagger de la API de Server V3. Esto es parte de un esfuerzo mayor para quitar versiones antiguas de jQuery. Esperamos completarlo a fines de este año, cuando hayamos rediseñado toda la interfaz de usuario en la nueva interfaz React.

Se migraron todos los algoritmos de hash a SHA2 con CryptoLib

Como preparación para una futura oferta compatible con FIPS, actualizamos todas las llamadas criptográficas que no son de Windows en nuestra base de código para utilizar un único proveedor de servicios criptográficos (CSP), el módulo basado en OpenSSL3 creado y mantenido por nuestro equipo DevSec según la especificación FIPS-140. Esta actualización no tendrá ningún impacto directo en la experiencia del usuario, salvo mejorar la seguridad de la solución de manera comprobable durante su funcionamiento.

Actualización de la criptografía AES-256

Migramos la criptografía que utilizábamos para proteger conexiones de datos heredadas (por ejemplo, secretos de DCM.E y API) a AES 256. Esta actualización no afecta directamente la experiencia del usuario, pero mejora la seguridad de la solución para nuestros clientes.

No hay compatibilidad con Internet Explorer

No habrá compatibilidad con Internet Explorer a partir de la versión 2022.1. Los navegadores compatibles son Chrome, Firefox, Edge y Safari. Para obtener más información, consulta la Política de compatibilidad de versiones .

Zona horaria para programaciones en la API V3 de Server

Se ha agregado una zona horaria para los siguientes puntos de conexión de API V3:

  • POST /v3/schedules: este punto de conexión se ha actualizado para permitirte establecer la hora y la zona horaria de las programaciones.

    Por ejemplo, si deseas establecer un horario para las 5:00 p. m., hora de la montaña, debes poder establecer el horario en 5:00 p. m. y seleccionar Hora de la montaña como zona horaria. La opción de zona horaria es opcional y, si no la especificas, la zona horaria predeterminada será la hora UTC.

  • PUT /v3/schedules: este punto de conexión se ha actualizado para permitirte actualizar las programaciones existentes creadas con la API y agregar una selección de zona horaria si lo deseas. 

    Por ejemplo, si has creado una programación utilizando los puntos de conexión de la API y la hora tenía que establecerse en UTC, deberías poder actualizar la programación y cambiar la hora y la zona horaria.

    Sin embargo, las programaciones existentes continuarán ejecutándose como se espera si decides no agregar una zona horaria.

  • GET /v3/schedules/{id}: este punto de conexión se ha actualizado; puedes ver la zona horaria de una programación existente filtrada por ID.

  • GET /v3/schedules: este punto de conexión se ha actualizado para que puedas ver las zonas horarias de todas las programaciones existentes.

Para obtener más información acerca de los puntos de conexión, accede a la documentación de Swagger seleccionando el ícono de signo de interrogación en la esquina superior derecha de la interfaz de Server. Para conocer las zonas horarias válidas que se pueden usar en los puntos de conexión de API anteriores, consulta la página de ayuda Puntos de conexión de programaciones .Puntos de conexión de programaciones

Opción de CLI para conectarse a un Controlador remoto

Como administrador, ahora puedes transferir de forma segura claves de cifrado desde tu entorno existente para migrar Server a un nuevo host o mitigar una interrupción.

Para obtener más información, ve a Claves DCME para realizar copias de seguridad .Claves DCME para realizar una copia de seguridad

Problemas conocidos y corregidos

Corregido

Lanzamiento principal de la versión 2022.1.1.25127

Id.

Descripción

Versión

Estado del problema

TCPE-56

DE17441

Se produce un error al agregar una conexión de datos si la contraseña tiene una pleca “|”.

2022.1.1.25127

Corregido

TCPE-89

DE33954

Cuando AlteryxService indica a un trabajador que se detenga, Alteryx Engine no maneja el mensaje cancelado por el usuario como error.

2022.1.1.25127

Corregido

TCPE-106

GCSE-296

La herramienta Codificador Base64 acepta una columna de datos, pero solo codifica correctamente cada tercer registro.

2022.1.1.25127

Corregido

TCPE-123

DE22217

Los flujos de trabajo de Alteryx se marcan como errores, mientras que el mensaje de evento y los registros indican se han realizado correctamente.

2022.1.1.25127

Corregido

TCPE-149

TGAL-6137

Programaciones: la marca de tiempo "Próxima ejecución" es anterior a "Ultima ejecución".

2022.1.1.25127

Corregido

TGAL-2716

DE27806

La migración de programaciones de Designer a Server genera un mensaje de error.

2022.1.1.25127

Corregido

TGAL-2718

DE27828

La opción para cambiar nombre se muestra para no propietarios de la colección.

2022.1.1.25127

Corregido

TGAL-2727

DE28053

Las tareas de programación tienen un tiempo de ejecución de 0,0 segundos.

2022.1.1.25127

Corregido

TGAL-2743

DE28593

La página de configuración del trabajador de la ventana de configuración de Server tiene una entrada activa cuando no se selecciona la casilla de verificación correspondiente.

2022.1.1.25127

Corregido

TGAL-2892

DE34042

Cuando se agrega un flujo de trabajo con nombre cambiado a una colección, se muestra el nombre antiguo en el cuadro de diálogo "Agregar flujo de trabajo". Después de agregarlo a la colección, se muestra el nombre nuevo.

2022.1.1.25127

Corregido

TGAL-5831

La creación de usuarios a través de Admin > Users agrega un "Studio" duplicado en "Subscriptions".

2022.1.1.25127

Corregido

TGAL-5875

El botón "Guardar" no se muestra al guardar un flujo de trabajo que pertenece al estudio de otro usuario en Server.

2022.1.1.25127

Corregido

TGAL-5938

DE33992

En el panel de administrador > Jobs > pestaña "Migrate", no se puede realizar la búsqueda de un usuario si su rol está establecido en predeterminado, visualizador o miembro.

2022.1.1.25127

Corregido

TGAL-6009

La versión de cliente muestra un valor no válido en la interfaz de usuario de Server.

2022.1.1.25127

Corregido

TGAL-6039

No se puede cambiar el propietario de la colección.

2022.1.1.25127

Corregido

TGAL-6042

Un usuario con acceso de administrador conserva los permisos de programación hasta que se actualiza la pestaña.

2022.1.1.25127

Corregido

TGAL-6046

Se muestra un número negativo del tiempo de ejecución en AS_Queue.

2022.1.1.25127

Corregido

TGAL-6080

API de Server: POST y PUT /schedules utiliza el nombre en lugar del número para dayNumber.

2022.1.1.25127

Corregido

TGAL-6083

Se puede crear una suscripción con un nombre que solo contenga espacios en blanco.

2022.1.1.25127

Corregido

TGAL-6085

La búsqueda del usuario no funciona al escribir una parte del medio del nombre.

2022.1.1.25127

Corregido

TGAL-6122

GBETA-106

El número de versión del flujo de trabajo es incorrecto.

2022.1.1.25127

Corregido

TGAL-6142

GBETA-123

La columna "Fecha de carga" del flujo de trabajo en las colecciones no está etiquetada correctamente.

2022.1.1.25127

Corregido

TGAL-6189

El formato de la documentación de ayuda de AlteryxService es difícil de leer.

2022.1.1.25127

Corregido

TGAL-6222

GS-505

Error al ejecutar flujos de trabajo con conexiones compartidas de DCMe para usuarios no propietarios.

2022.1.1.25127

Corregido

TGAL-6250

GCSE-343

API v3 de Server: POST /v3/usergroups/{id}/users no puede agregar usuarios cuando se utiliza la autenticación WinAuth.

2022.1.1.25127

Corregido

TGAL-6251

Ordenar la columna "Fuente compartida" provoca un problema de carga en la página "Mi espacio de trabajo".

2022.1.1.25127

Corregido

TGAL-6267

GCSE-327

El flujo de trabajo se puede publicar desde una versión de Designer superior a una versión de Server inferior y se puede ejecutar un trabajo programado.

2022.1.1.25127

Corregido

TGAL-6268

TLF-2990

API de Server v1: los puntos de conexión de la API de Server GET /admin/v1/workflows y GET /admin/v1/workflows/jobs/ sin un filtro de búsqueda no devuelven datos.

2022.1.1.25127

Corregido

TGAL-6303

API de Server v1: cuando se utiliza el punto de conexión /webapi/v1/workflows/{id}/package a través del nuevo marco de API, la descarga del paquete se realiza de forma predeterminada con una extensión de archivo incorrecta.

2022.1.1.25127

Corregido

TGAL-6317

API de Server v1: cuando se utilizan las API de trabajos v1 portadas a WebAPI, los usuarios del framework en un entorno WinAuth no pueden consultar los puntos de conexión v1/jobs ni devolver resultados.

2022.1.1.25127

Corregido

TGAL-6323

GCSE-368

El uso de claves de API de suscripción/estudio privados con puntos de conexión de API de Server v1 falla con una excepción desconocida. Los puntos de conexión de 21.4.1 reconocen de forma incorrecta las claves de suscripción/estudio.

2022.1.1.25127

Corregido

TGAL-6332

API v1 de Server: punto de conexión GET /v1/jobs/...{outputId} da como resultado el código de respuesta 500.

2022.1.1.25127

Corregido

TGAL-6340

GCSE-367

Las programaciones no se cargan cuando la base de datos contiene una marca de tiempo local “Errónea” de LastModifiedDate.

2022.1.1.25127

Corregido

TGAL-6361

GCSE-415

DCMe: cuando se comparten conexiones de fuentes de datos con grupos personalizados, cualquier usuario de ese grupo personalizado recibe el error indicando "La conexión seleccionada no está disponible. Configura una para utilizar la herramienta” después de ejecutar el flujo de trabajo.

2022.1.1.25127

Corregido

TGAL-6376

Cuando se crea un nuevo usuario en el portal de administrador, aparece el mensaje “Error al crear usuario”, pero el usuario se crea de todas maneras.

2022.1.1.25127

Corregido

TGAL-6393

TGAL-6375

API de Server V3: la creación de programaciones no establece correctamente los ajustes de frecuencia y la fecha/hora como se desea.

2022.1.1.25127

Corregido

TGAL-6414

GCSE-440

Los usuarios con el rol de creador no pueden ejecutar ciertos puntos de conexión V1 a través de WebAPI al autenticarse con OAuth2.

2022.1.1.25127

Corregido

TGAL-6420

GCSE-441

API de Server v3: mensaje de validación que sigue pidiendo revisionId en lugar de versionId al intentar actualizar el flujo de trabajo existente.

2022.1.1.25127

Corregido

TMEE-208

La página "Collections" de administrador de Server no funciona después de hacer clic en el enlace de insight.

2022.1.1.25127

Corregido

TMEE-314

Colecciones > Flujos de trabajo: los íconos de los flujos de trabajo tienen un tamaño deficiente en la lista desplegable cuando se agrega un flujo de trabajo.

2022.1.1.25127

Corregido

TMEE-340

GBETA-100

La restricción del archivo de imagen de perfil no coincide con el filtro de tipo de archivo.

2022.1.1.25127

Corregido

TMEE-341

GBETA-98

Los registros del historial de tareas muestran el Id. del tipo de mensaje en lugar de la etiqueta.

2022.1.1.25127

Corregido

TMEE-440

TCPE-204

Las aplicaciones encadenadas en Server solo ejecutan la primera aplicación de la cadena.

2022.1.1.25127

Corregido

TMEE-527

GBETA-230

En entornos WinAuth, las pestañas "Públicos" y "Compartidos conmigo" de la página "Mi espacio de trabajo" no se cargan cuando el propietario de un flujo de trabajo público o compartido no tiene apellido.

2022.1.1.25127

Corregido

Lanzamiento secundario de la versión 2022.1.1.30569

Id.

Descripción

Versión

Estado del problema

TMEE-549

GCSE-492

Después de actualizar a 21.4, el texto de varias líneas se trunca y las URL ya no son visibles en la página de Gallery.

2022.1.1.30569

Corregido

TCPE-305

GCSE-496

2021.4: la interfaz de la herramienta Selector de fechas sin ningún valor predeterminado genera errores en el interfaz de usuario de Server.

2022.1.1.30569

Corregido

TMEE-382

Los anuncios tipo banner ya no funcionan en 21.4+.

2022.1.1.30569

Corregido

TMEE-383

Server: el texto de desplazamiento no se muestra cuando se coloca el cursor sobre un anuncio de banner.

2022.1.1.30569

Corregido

Lanzamiento secundario de la versión 2022.1.1.40869

Id.

Descripción

Versión

Estado del problema

TCPE-278 GCSE-465

Ninguna persona que no sea propietario de una programación compartida en un estudio privado puede eliminarla. Se produce un error 403 Prohibido desde el back-end, pero no se muestra ningún error en la interfaz de usuario, a menos que el no propietario sea un administrador.

2022.1.1.40869

Corregido

TGAL-6480

GBETA-302

Punto de conexión de los usuarios de la API de Alteryx Server V3: error cuando se intenta crear el usuario.

2022.1.1.40869

Corregido

TGAL-6590

GCSE-561

El servicio Alteryx no se inicia si MongoDB está utilizando el motor de almacenamiento MMAPv1.

Ahora, cuando migres a la última versión de MongoDB, el proceso de migración convertirá tu base de datos de MMAPv1 a WiredTiger para evitar problemas de compatibilidad que impidan el inicio del servicio Alteryx.

2022.1.1.40869

Corregido

TGAL-6599

TPM-1133

Las herramientas Python-SDK que usan DCM se ejecutan continuamente en Server sin completar la validación o presentan errores en ella.

2022.1.1.40869

Corregido

TGAL-6733

No fue posible ejecutar las herramientas de Python con DCM.E habilitado en Server en la versión de disponibilidad general 22.1 (2022.1.1.38360).

2022.1.1.40869

Corregido

TMEE-710

TGAL-6698

Algunas páginas no se cargan en la interfaz de usuario y administrador después de aplicar el parche.

2022.1.1.40869

Corregido

TMEE-757

Los propietarios del flujo de trabajo no pueden actualizar el indicador “Listo para la migración” en los ajustes del flujo de trabajo.

2022.1.1.40869

Corregido

Lanzamiento secundario de la versión 2022.1.1.42590

Id.

Descripción

Versión

Estado del problema

TGAL-6674

Se abordó un problema de rendimiento de carga de página debido a llamadas excesivas a un punto de conexión de estado.

2022.1.1.42590

Corregido

TGAL-6740

El punto de conexión de POST /v3/workflows/{workflowId}/versions no funcionó como se esperaba. Esto se debió a una diferencia inherente en cómo se almacenan los flujos de trabajo en Server cuando se publican a través de Designer en comparación con cómo se publican a través de la API. Como paso provisional para evitar más problemas con este punto de conexión, lo desactivamos temporalmente y lo quitamos de la documentación. Volveremos a introducir el punto de conexión una vez que haya una solución disponible que permita que el punto de conexión funcione de la manera prevista.

2022.1.1.42590

Corregido

TGAL-6848

GCSE-946

Problemas intermitentes con la interfaz de usuario/el servicio de Server después de la actualización de los servicios profesionales. El cliente sufre problemas de acceso a Server con colecciones y otras páginas después de actualizar a 2022.1.

2022.1.1.42590

Corregido

TGAL-6909

Se corrigió un problema con el instalador, el cual no reconocía la versión de MongoDB correctamente durante una actualización si se había aplicado un parche para actualizar MongoDB de 4.2.15 a 4.2.22. Esto hizo que el instalador informara incorrectamente de un error que indica que el usuario intentaba actualizar desde una versión no compatible de MongoDB.

2022.1.1.42590

Corregido

TMEE-444

Volver a ejecutar la aplicación: las preguntas de la aplicación analítica se restablecen a los valores predeterminados en lugar de mantener los valores introducidos.

2022.1.1.42590

Corregido

Lanzamiento secundario de la versión 2022.1.1.42604

Id.

Descripción

Versión

Estado del problema

TGAL-6985

El punto de conexión POST admin/v1/workflows/ obstaculiza la ejecución de un flujo de trabajo si dicho flujo tiene un nombre diferente al flujo de trabajo que se cargó originalmente.

2022.1.1.42604

Corregido

TGAL-6990

GCSE-1027

La migración del esquema de base de datos falla si el entorno contiene conexiones de datos de Server con contraseñas NULAS o vacías. Consulta este artículo de la Comunidad para obtener más información.

2022.1.1.42604

Corregido

TPRI-639

GCSE-530

En las versiones posteriores a la 2021.4, solo el propietario del flujo de trabajo y los administradores pueden acceder a la configuración del flujo de trabajo. En los lanzamientos anteriores, todos los usuarios con acceso al flujo de trabajo podían acceder a la configuración del flujo de trabajo.

2022.1.1.42604

Corregido

Lanzamiento secundario de la versión 2022.1.1.42619

Id.

Descripción

Versión

Estado del problema

TCPE-490

GCSE-960

La URL de la API web no permite la política CORS en la etiqueta AccessControlAllowOrigin del archivo RuntimeSettings.xml.

2022.1.1.42619

Corregido

TGAL-6992

Cuando guardas una nueva versión de un flujo de trabajo que ya tiene una programación, la nueva versión solo se ejecuta una vez. A continuación, la programación se devuelve a la versión anterior del flujo de trabajo.

2022.1.1.42619

Corregido

TGAL-7053

Este parche permite a los usuarios de Server ejecutar flujos de trabajo en Server cuando dichos flujos utilizan conexiones de datos de Server que no se comparten explícitamente con esos usuarios para otro uso en Designer. Se trata de un ajuste global para todos los flujos de trabajo de una instancia de Server que los administradores pueden controlar en la sección Administrador Configuración Configuración Activos de Server.

2022.1.1.42619

Corregido

Lanzamiento secundario de la versión 2022.1.1.42636

Id.

Descripción

Versión

Estado del problema

TGAL-6769

La conexión solo se comparte con los miembros directos del grupo de usuarios en Alteryx Server, no con los miembros del grupo de AD que pertenece a este grupo de usuarios en Alteryx Server.

2022.1.1.42636

Corregido

Lanzamiento secundario de la versión 2022.1.1.42654

Id.

Descripción

Versión

Estado del problema

TPRI-737

TMEE-737

Reemplazar flujo de trabajo: si hay más de 10 flujos de trabajo disponibles para la funcionalidad Reemplazar flujo de trabajo, la búsqueda solo encontrará los primeros 10 flujos de trabajo alfabéticamente. La búsqueda seguirá fallando incluso si los flujos de trabajo se eliminan y la lista completa contiene menos de 10 flujos.

2022.1.1.42654

Corregido

Corregido

Lanzamiento secundario de la versión 2022.1.1.42673

Id.

Descripción

Versión

Estado del problema

TCPE-618

GCSE-1210

Los flujos de trabajo cargados a través del punto de conexión de API admin/v1/workflows no se cargan en Alteryx Server después de actualizar a 2021.4 - 2022.3, lo que genera un error 404 en la pestaña de red y un error de “Página no encontrada”, que redirige a Mi espacio de trabajo como resultado.

2022.1.1.42673

Corregido

Lanzamiento secundario de la versión 2022.1.1.42691

Id.

Descripción

Versión

Estado del problema

TGAL-8049

GCSE-1059

Las llamadas a API al punto de conexión admin/v1/{appId}/package fallan intermitentemente con un error.

2022.1.1.42691

Corregido

TPRI-1077

GCSE-1135

Los mensajes de ejecución no se marcan en los resultados del flujo de trabajo y no se pueden copiar completamente.

2022.1.1.42691

Corregido

TPRI-2273

Los usuarios no pueden copiar el texto de los mensajes de los resultados de la tarea.

2022.1.1.42691

Corregido

Fixed

Minor Release Version 2022.1.1.42707

ID

Description

Version

Issue Status

TDSL-4801

GCSE-894

AMP Engine: When running a workflow on Server with AMP Engine enabled, an error appears: 'Error opening file. The filename, directory name, or volume label syntax is incorrect.' Despite this error, the files still write out. When the AMP Engine is disabled, the error is not produced.

2022.1.1.42707

Fixed

Fixed

Minor Release Version 2022.1.1.42716

ID

Description

Version

Issue Status

TCPE-648

GCSE-1295

Issue with WorkflowFilePath tag in Customer Managed Telemetry.

2022.1.1.42716

Fixed

TCPE-921

GCSE-1888

The POST /admin/v1/workflows endpoint is returning "An item with the same key has already been added." exception message for specific YXZP files.

2022.1.1.42716

Fixed

Conocido

Lanzamiento principal de la versión 2022.1.1.25127

Id.

Descripción

Versión

Estado del problema

TGAL-5930

DE28486

Cuando se guarda una nueva versión de un flujo de trabajo con una programación existente, no se muestra la versión actualizada del flujo de trabajo en la programación.

2022.1.1.25127

Conocido

TGAL-6264

GCSE-339

Los usuarios no se muestran en la lista desplegable para agregar usuarios en “Data Connections” cuando el nombre de usuario está en caracteres japoneses, este problema está relacionado con Lucene.

2022.1.1.25127

Conocido

TGAL-6307

WebAPI: Get Package API v1 daña los archivos YXZP cuando se utiliza la documentación interactiva (Swagger).

2022.1.1.25127

Conocido

TGAL-6338

Algunos formularios de inicio de sesión de IdP no se representan correctamente en la configuración de Alteryx.

2022.1.1.25127

Conocido

TGAL-6394

GS-610

El horario de verano (DST) modifica la programación de intervalos futuros de trabajos/flujos de trabajo.

2022.1.1.25127

Conocido

TGAL-6401

El enlace enviado por correo electrónico para confirmar una dirección de correo electrónico te lleva a un error que indica que el usuario ya se validó.

2022.1.1.25127

Conocido

TGAL-6408

GS-622

La asignación de etiquetas de trabajador predeterminado a las suscripciones no funciona correctamente.

2022.1.1.25127

Conocido

TGAL-6417

TMEE-518

El nombre canónico no influye en las URL de notificaciónes.

2022.1.1.25127

Conocido

TGAL-6425

GBETA-177

El cambio de permisos falla al configurar el usuario con un apellido nulo.

2022.1.1.25127

Conocido

TGAL-6443

GCSE-453

POST /v3/workflows/{workflowId}/versions no se muestra en la interfaz de usuario para flujos de trabajo cargados desde Designer.

2022.1.1.25127

Conocido

TGAL-6468

GCSE-462

No se puede realizar el filtro de datos a través del punto de conexión de la API de Gallery v3/schedules.

2022.1.1.25127

Conocido

TGAL-6480

GBETA-302

Punto de conexión de los usuarios de la API de Alteryx Server V3: error cuando se intenta crear el usuario.

2022.1.1.25127

Conocido

TGAL-6482

DELETE v3 for /users/ falla si hay un flujo de trabajo en el espacio público.

2022.1.1.25127

Conocido

TGAL-6483

GCSE-479

PUT /users/ v3 falla si el usuario tiene un apellido nulo.

2022.1.1.25127

Conocido

TGAL-6489

GS-646

Es necesario comprobar los atributos de las reclamaciones históricas antes de verificar las alternativas.

2022.1.1.25127

Conocido

TMEE-382

Los anuncios tipo banner ya no funcionan en 21.4+.

2022.1.1.25127

Conocido

TMEE-383

Server: el texto de desplazamiento no se muestra cuando se coloca el cursor sobre un anuncio de banner.

2022.1.1.25127

Conocido

Lanzamiento secundario de la versión 2022.1.1.42590

Id.

Descripción

Versión

Estado del problema

TGAL-6990

GCSE-1027

La migración del esquema de base de datos falla si el entorno contiene conexiones de datos de Server con contraseñas NULAS o vacías. Consulta este artículo de la Comunidad para obtener más información.

2022.1.1.42590

Conocido

TGAL-6992

Cuando guardas una nueva versión de un flujo de trabajo que ya tiene una programación, la nueva versión solo se ejecuta una vez. A continuación, la programación se devuelve a la versión anterior del flujo de trabajo.

2022.1.1.42590

Conocido

Lanzamiento secundario de la versión 2022.1.1.42604

Id.

Descripción

Versión

Estado del problema

TCPE-618

GCSE-1210

Los flujos de trabajo cargados a través del punto de conexión de API admin/v1/workflows no se cargan en Alteryx Server después de actualizar a 2021.4 - 2022.3, lo que genera un error 404 en la pestaña de red y un error de “Página no encontrada”, que redirige a Mi espacio de trabajo como resultado.

2022.1.1.42604

Conocido

Lanzamiento secundario de la versión 2022.1.1.42691

Id.

Descripción

Versión

Estado del problema

TGAL-8602

Cuando se utiliza el punto de conexión put/v3/schedules/{scheduleid}, la hora final no se muestra correctamente según la zona horaria especificada en el cuerpo de la respuesta.

2022.1.1.42691

Conocido

Actualizaciones de seguridad

Corregido

Lanzamiento principal de la versión 2022.1.1.25127

Id.

Descripción

Versión

Estado del problema

TGAL-2069

DE13482

SV: Se corrigió una posible vulnerabilidad en el directorio transversal que podría haber permitido un reconocimiento limitado del sistema de archivos de la estructura de carpetas de Server.

2022.1.1.25127

Corregido

TGAL-2601

DE25080

SV: se eliminó el campo no utilizado “Password2” de la respuesta de texto sin formato.

2022.1.1.25127

Corregido

Conocido

Lanzamiento secundario de la versión 2022.1.1.40869

Id.

Descripción

Versión

Estado del problema

TGAL-6764

A divulgar*.

Todas las versiones 2022.x

Conocido

TGAL-6772

GCSE-822

A divulgar*.

Todas las versiones 2022.x

Conocido

* De acuerdo con las prácticas recomendadas de seguridad y para evitar la posible manipulación por parte de agentes maliciosos, Alteryx no revela los detalles de ninguna vulnerabilidad abierta hasta que todas las versiones compatibles se actualicen con una corrección. A partir de 2022.3, las versiones y actualizaciones estarán y continuarán disponibles hasta que se haya proporcionado la corrección para todas las versiones compatibles. Para asegurarte de que todas las versiones que utilizas se corrijan sin demora, se recomienda realizar actualizaciones periódicas. Se proporcionará más información una vez que se haya corregido la vulnerabilidad en todas las versiones compatibles que fueron afectadas.

Corregido

Lanzamiento secundario de la versión 2022.1.1.42590

Id.

Descripción

Versión

Estado del problema

TDS-555

SV: Actualización de OpenSSL a 3.0.7; corrige CVE-2022-3602 y CVE-2022-3786.

2022.1.1.42590

Corregido

TGAL-6764

A divulgar*.

2022.1.1.42590

Corregido

TGAL-6772

GCSE-822

A divulgar*.

2022.1.1.42590

Corregido

* De acuerdo con las prácticas recomendadas de seguridad y para evitar la posible manipulación por parte de agentes maliciosos, Alteryx no revela los detalles de ninguna vulnerabilidad abierta hasta que todas las versiones compatibles se actualicen con una corrección. Se proporcionará más información una vez que se haya corregido la vulnerabilidad en todas las versiones compatibles afectadas.

Conocido

Lanzamiento secundario de la versión 2022.1.1.42604

Id.

Descripción

Versión

Estado del problema

TGAL-2207

A divulgar*.

2020.4 y posteriores.

Conocido

* De acuerdo con las prácticas recomendadas de seguridad y para evitar la posible manipulación por parte de agentes maliciosos, Alteryx no revela los detalles de ninguna vulnerabilidad abierta hasta que todas las versiones compatibles se actualicen con una corrección. Se proporcionará más información una vez que se haya corregido la vulnerabilidad en todas las versiones compatibles afectadas.

Corregido

Lanzamiento secundario de la versión 2022.1.1.42636

Id.

Descripción

Versión

Estado del problema

TVULC-1373

A divulgar*.

2022.1.142636

Corregido

* De acuerdo con las prácticas recomendadas de seguridad y para evitar la posible manipulación por parte de agentes maliciosos, Alteryx no revela los detalles de ninguna vulnerabilidad abierta hasta que todas las versiones compatibles se actualicen con una corrección. A partir de 2021.4, las versiones y actualizaciones estarán y continuarán disponibles hasta que se haya proporcionado la corrección para todas las versiones compatibles. Para asegurarte de que todas las versiones que utilizas se corrijan sin demora, se recomienda realizar actualizaciones periódicas. Se proporcionará más información una vez que se haya corregido la vulnerabilidad en todas las versiones compatibles que fueron afectadas.

Corregido

Lanzamiento secundario de la versión 2022.1.1.42691

Id.

Descripción

Versión

Estado del problema

TGAL-8405

A divulgar*.

2022.1.1.42691

Corregido

* De acuerdo con las prácticas recomendadas de seguridad y para evitar la posible manipulación por parte de agentes maliciosos, Alteryx no revela los detalles de ninguna vulnerabilidad abierta hasta que todas las versiones compatibles se actualicen con una corrección. A partir de 2021.4, las versiones y actualizaciones estarán y continuarán disponibles hasta que se haya proporcionado la corrección para todas las versiones compatibles. Para asegurarte de que todas las versiones que utilizas se corrijan sin demora, se recomienda realizar actualizaciones periódicas. Se proporcionará más información una vez que se haya corregido la vulnerabilidad en todas las versiones compatibles que fueron afectadas.

Fixed

Minor Release Version 2022.1.1.42707

ID

Description

Version

Issue Status

TGAL-8498

GVM-584

Potential XSS in Designer/Server Open Workflow interaction.

2022.1.1.42707

Fixed